# Class ScalaDocOptions

java.lang.Object
org.gradle.api.tasks.compile.AbstractOptions
org.gradle.api.tasks.scala.ScalaDocOptions

All Implemented Interfaces:
  `Serializable`

public class ScalaDocOptions extends AbstractOptions
Options for the ScalaDoc tool.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ScalaDocOptions()`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getAdditionalParameters()`
Returns the additional parameters passed to the compiler.
`protected String`
`getAntPropertyName(String fieldName)`
`protected Object`
`getAntPropertyValue(String fieldName, Object value)`
`String`
`getBottom()`
Returns the HTML text to appear in the bottom text for each page.
`String`
`getDocTitle()`
Returns the HTML text to appear in the main frame title.
`String`
`getFooter()`
Returns the HTML text to appear in the footer for each page.
`String`
`getHeader()`
Returns the HTML text to appear in the header for each page.
`File`
`getStyleSheet()`
Deprecated.
Scaladoc does not support to set a stylesheet any more (Scala 2.11).
`String`
`getTop()`
Returns the HTML text to appear in the top text for each page.
`String`
`getWindowTitle()`
Returns the text to appear in the window title.
`boolean`
`isDeprecation()`
Tells whether to generate deprecation information.
`boolean`
`isUnchecked()`
Tells whether to generate unchecked information.
`void`
`setAdditionalParameters(List<String> additionalParameters)`
Sets the additional parameters passed to the compiler.
`void`
`setBottom(String bottom)`
Sets the HTML text to appear in the bottom text for each page.
`void`
`setDeprecation(boolean deprecation)`
Sets whether to generate deprecation information.
`void`
`setDocTitle(String docTitle)`
Sets the HTML text to appear in the main frame title.
`void`
`setFooter(String footer)`
Sets the HTML text to appear in the footer for each page.
`void`
`setHeader(String header)`
Sets the HTML text to appear in the header for each page.
`void`
`setStyleSheet(File styleSheet)`
Deprecated.
Scaladoc does not support to set a stylesheet any more (Scala 2.11).
`void`
`setTop(String top)`
Sets the HTML text to appear in the top text for each page.
`void`
`setUnchecked(boolean unchecked)`
Sets whether to generate unchecked information.
`void`
`setWindowTitle(String windowTitle)`
Sets the text to appear in the window title.

### Methods inherited from class AbstractOptions

`define, excludeFromAntProperties, optionMap`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScalaDocOptions

public ScalaDocOptions()

## Method Details

### isDeprecation

@Input public boolean isDeprecation()
Tells whether to generate deprecation information.

### setDeprecation

public void setDeprecation(boolean deprecation)
Sets whether to generate deprecation information.

### isUnchecked

@Input public boolean isUnchecked()
Tells whether to generate unchecked information.

### setUnchecked

public void setUnchecked(boolean unchecked)
Sets whether to generate unchecked information.

### getWindowTitle

@Input @Optional public String getWindowTitle()
Returns the text to appear in the window title.

### setWindowTitle

public void setWindowTitle(String windowTitle)
Sets the text to appear in the window title.

### getDocTitle

@Input @Optional public String getDocTitle()
Returns the HTML text to appear in the main frame title.

### setDocTitle

public void setDocTitle(String docTitle)
Sets the HTML text to appear in the main frame title.

### getHeader

@Input @Optional public String getHeader()
Returns the HTML text to appear in the header for each page.

### setHeader

public void setHeader(String header)
Sets the HTML text to appear in the header for each page.

### getFooter

@Input @Optional public String getFooter()
Returns the HTML text to appear in the footer for each page.

### setFooter

public void setFooter(String footer)
Sets the HTML text to appear in the footer for each page.

### getTop

@Input @Optional public String getTop()
Returns the HTML text to appear in the top text for each page.

### setTop

public void setTop(String top)
Sets the HTML text to appear in the top text for each page.

### getBottom

@Input @Optional public String getBottom()
Returns the HTML text to appear in the bottom text for each page.

### setBottom

public void setBottom(String bottom)
Sets the HTML text to appear in the bottom text for each page.

### getStyleSheet

@PathSensitive(ABSOLUTE) @InputFile @Optional @Deprecated public File getStyleSheet()
Deprecated.
Scaladoc does not support to set a stylesheet any more (Scala 2.11).
Returns the style sheet to override default style.

### setStyleSheet

@Deprecated public void setStyleSheet(File styleSheet)
Deprecated.
Scaladoc does not support to set a stylesheet any more (Scala 2.11).
Sets the style sheet to override default style.

### getAdditionalParameters

@Input @Optional public List<String> getAdditionalParameters()
Returns the additional parameters passed to the compiler. Each parameter starts with '-'.

### setAdditionalParameters

public void setAdditionalParameters(List<String> additionalParameters)
Sets the additional parameters passed to the compiler. Each parameter must start with '-'.

### getAntPropertyName

protected String getAntPropertyName(String fieldName)

Overrides:
  `getAntPropertyName` in class `AbstractOptions`

### getAntPropertyValue

protected Object getAntPropertyValue(String fieldName, Object value)

Overrides:
  `getAntPropertyValue` in class `AbstractOptions`